#!/bin/sh
# Usage: install.sh <path_to_JRE> 
#
# Example:
#   install.sh /usr/java/default
# 

if [ -z "$1" ]; then
  printf "USAGE: install.sh path_to_JRE"
  exit 1
fi

JREDIR=$1
JAVACMD="$JREDIR/bin/java"
[ -x "$JAVACMD" ] || {
  printf "File not found: $JAVACMD\n"
  exit 1
}

"$JAVACMD" -version 

for i in JaCarta_for_CryptoPro_JCP.jar JaCarta_Terminal.jar; do
    rm -f "$JREDIR/lib/ext/$i"
    if [ -r "$JREDIR/lib/ext/$i" ]; then
		printf "JVM is running or jar-files are locked:\n"
        printf "$JREDIR/lib/ext/$i\n"
		printf "Stop all processes that use Java and retry\n"
        exit 1
    fi
    cp $i "$JREDIR/lib/ext/$i"
done

for i in libAPDUStub.so libJaCartaTerminal.so libpcsclite.so; do
    rm -f "/usr/lib/$i"
    if [ -r "/usr/lib/$i" ]; then
		printf "This file is locked:\n"
        printf "/usr/lib/$i\n"
	printf "Stop all processes that use this files and retry\n"
	exit 1
    fi
    cp $i "/usr/lib/$i"
done

for i in opencard.properties; do

	for i in opencard.properties; do

	# if there is a file
	if ( test -e "$JREDIR/lib/$i" ); then

		TMPFILE='mktemp' || exit 1

		# comment old content and add new
		sed 's/\(^[^#]\)/#\1/' "$JREDIR/lib/$i" > $TMPFILE
		sed -n '/^#/!p' $i >> $TMPFILE

		rm -f "$JREDIR/lib/$i"
		if [ -r "$JREDIR/lib/$i" ]; then
			printf "this file is locked:\n"
			printf "$JREDIR/lib/$i\n"
			printf "Stop all processes that use this file and retry\n"
			exit 1
		fi
		mv $TMPFILE "$JREDIR/lib/$i"
		
	else
		cp $i "$JREDIR/lib/$i"
	fi
	
done
	
done

printf "Successful\n"