#!/bin/sh
# Usage: install_J6CF.sh <path_to_JRE> 
#
# Example:
#   install_J6CF.sh /usr/java/default
# 

if [ -z "$1" ]; then
  printf "USAGE: install_J6CF.sh path_to_JRE\n"
  exit 1
fi

JREDIR=$1
JAVACMD="$JREDIR/bin/java"
[ -x "$JAVACMD" ] || {
  printf "File not found: $JAVACMD\n"
  exit 1
}

"$JAVACMD" -version 

$JAVACMD -cp JaCartaJ6CF.jar ru.aladdin.jacarta.cryptopro.jcp.j6cf.Install -install

rm -f "/usr/lib/libAPDUStubJ6CF.so"
if [ -r "/usr/lib/libAPDUStubJ6CF.so" ]; then
	printf "This file is locked:\n"
    printf "/usr/lib/libAPDUStubJ6CF.so\n"
	printf "Stop all processes that use this files and retry\n"
	exit 1
fi
cp libAPDUStubJ6CF.so "/usr/lib/libAPDUStubJ6CF.so"

printf "Successful\n"